sybase_close
sybase_data_seek
Sybase Functions
PHP Manual

# sybase_connect

Opens a Sybase server connection

### Description

resource sybase_connect ([ string `$servername` [, string `$username` [, string `$password` [, string `$charset` [, string `$appname` [, bool `$new` = false ]]]]]] )

sybase_connect establishes a connection to a Sybase server.

In case a second call is made to sybase_connect with the same arguments, no new link will be established, but instead, the link identifier of the already opened link will be returned.

The link to the server will be closed as soon as the execution of the script ends, unless it's closed earlier by explicitly calling sybase_close.

### Parameters

`servername`

  The servername argument has to be a valid servername that is defined in the 'interfaces' file.

`username`

  Sybase user name

`password`

  Password associated with `username`.

`charset`

  Specifies the charset for the connection

`appname`

  Specifies an appname for the Sybase connection. This allow you to make separate connections in the same script to the same database. This may come handy when you have started a transaction in your current connection, and you need to be able to do a separate query which cannot be performed inside this transaction.

`new`

  Whether to open a new connection or use the existing one.

### Return Values

Returns a positive Sybase link identifier on success, or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
5.3.0 | The `new` parameter was added.
4.2.0 | The `appname` parameter was added.
4.0.2 | The `charset` parameter was added.

### Examples

Example #1 sybase_connect example

`<?php
$link = sybase_connect('SYBASE', '', '')
or die("Could not connect !");
echo "Connected successfully";
sybase_close($link);
?>`

### See Also

- sybase_pconnect
- sybase_close